Name:		media-explorer
Version:	0.4.4
Release:	13%{?dist}
Summary:	Media center application

Group:		Applications/Multimedia
License:	LGPLv2+
# Bugs
# https://github.com/media-explorer/media-explorer/issues?state=open
# Wiki
# https://github.com/media-explorer/media-explorer/wiki/Ideas
URL:		http://media-explorer.github.com/
Source0:	https://github.com/downloads/media-explorer/media-explorer/%{name}-%{version}.tar.xz

BuildRequires:	clutter-gst-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	glib2-devel
BuildRequires:	grilo-devel >= 0.2
BuildRequires:	intltool
BuildRequires:	libmx-devel
BuildRequires:	lirc-devel
BuildRequires:	libsoup-devel
BuildRequires:	NetworkManager-devel
BuildRequires:	rest-devel

BuildRequires:	autoconf automake libtool

# For plugins
BuildRequires:	gupnp-devel tracker-devel
BuildRequires:	pkgconfig(avahi-client) pkgconfig(avahi-glib)

Requires:	grilo-plugins
Requires:	gstreamer-plugins-bad-free
Requires:	gstreamer-plugins-base
Requires:	gstreamer-plugins-good

%description
Media explorer is a media center application for Linux, originally
targeted towards MeeGo.

%prep
%setup -q

# Newer tracker-sparql
sed -i -e 's/tracker-sparql-0.14/tracker-sparql-1.0/g' configure.ac

# Needed to remove the rpaths
autoreconf -vif

%build
%configure					\
	--enable-rebinder=no			\
	--with-thumbnailer=internal		\
	--with-plugins=search,queue,dbusinput,upnp,tracker,gnome-dvb,recommended	\
	--disable-introspection

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# nuke the .la file(s)
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING AUTHORS NEWS README
%{_bindir}/mex-*
%{_bindir}/media-explorer
%{_libdir}/libmex-0.2.so*
%{_libdir}/media-explorer/
%{_libexecdir}/mex-thumbnailer
%{_datadir}/applications/media-explorer.desktop
%{_datadir}/dbus-1/services/mex-webremote.service
%{_datadir}/icons/hicolor/*/apps/media-explorer.png
%{_datadir}/media-explorer/

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.4-12
- Rebuilt once more for tracker

* Mon Jul 28 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.4-11
- rebuild (tracker)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.4-9
- Rebuilt for cogl soname bump

* Mon Feb 10 2014 Peter Hutterer <peter.hutterer@redhat.com> - 0.4.4-8
- Rebuild for libevdev soname bump

* Wed Feb 05 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.4-7
- Rebuilt for cogl soname bump

* Fri Dec 27 2013 Adam Williamson <awilliam@redhat.com> - 0.4.4-6
- try a rebuild for new tracker

* Thu Sep 26 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.4-5
- add explicit avahi build deps

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 0.4.4-4
- Rebuilt for cogl 1.15.4 soname bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jan 25 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.4-2
- Rebuild for new cogl

* Fri Oct  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.4-1
- Update  to 0.4.4

* Fri Sep 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.2-1
- Update  to 0.4.2

* Thu Aug 30 2012 Tom Callaway <spot@fedoraproject.org> - 0.4.0-3
- rebuild for grilo 0.2

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 30 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.4.0-1
- Update  to 0.4.0

* Mon Mar 19 2012 Kalev Lember <kalevlember@gmail.com> 0.3.8-2
- Rebuilt for cogl 1.9.8 soname bump

* Fri Mar  9 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.8-1
- Update  to 0.3.8

* Fri Feb  3 2012 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.6-1
- Update  to 0.3.6

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 21 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.4-1
- Update  to 0.3.4

* Sun Nov 27 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.3.2-2
- rebuild for new clutter/cogl

* Mon Oct 31 2011 Bastien Nocera <bnocera@redhat.com> 0.3.2-1
- Update to 0.3.2

* Thu Oct 06 2011 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Sat Sep 17 2011 Bastien Nocera <bnocera@redhat.com> 0.1.6-2
- Update comments about rpath removal

* Mon Sep 12 2011 Bastien Nocera <bnocera@redhat.com> 0.1.6-1
- Update to 0.1.6

* Mon Aug 01 2011 Bastien Nocera <bnocera@redhat.com> 0.1.4-1
- Update to 0.1.4

* Tue Jul 05 2011 Bastien Nocera <bnocera@redhat.com> 0.1.2-1
- First pass

